Subject: Re: [PATCH v2] git svn : hook before 'git svn dcommit'

From: Eric Wong <[email-masked]>
Date: Sat, 20 Aug 2011 18:41:49 +0000

Frédéric Heitzmann <[email-masked]> wrote:
> 2011/8/17 Eric Wong <[email-masked]>:
> >> 2011/8/17 Eric Wong <[email-masked]> wrote:
> >> > Perhaps an interactive option for dcommit would be just as useful?
> >
> > 1 and 3 can both implemented, but I think 3 would be easier to
> > use/setup/standardize.  I suspect it's also easier to train oneself to
> > always use "dcommit -i".  Perhaps even default to interactive mode
> > like git-send-email does nowadays.
> >
> > Unfortunately interactive dcommit requires more effort to implement.
> 
> It seems that proposal 3 is somehow equivalent to
> $ git rebase -i --onto remotes/trunk remotes/trunk
> ... check commits, maybe remove some of them, ...
> $ git svn dcommit

No, it would just prompt before making every commit (showing the log
message), like git-send-email can before sending every message.

> note : is the SVN remote branch always named "remote/trunk" ? If not,
> is there a way to guess its name ?

git svn dcommit --dry-run will print the URL from which you can
infer the remote branch.  There might be an easier way, but I
can't remember... (I don't see SVN much nowadays, most projects
I've cared about migrated to git)

-- 
Eric Wong